Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 614181 - Review Request: libguess - High-speed character set detection library
Review Request: libguess - High-speed character set detection library
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-13 15:33 EDT by Michael Schwendt
Modified: 2010-07-15 02:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 02:16:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2010-07-13 15:33:11 EDT
Spec URL: http://mschwendt.fedorapeople.org/libguess.spec
SRPM URL: http://mschwendt.fedorapeople.org/libguess-1.0-0.1.20100713.fc13.src.rpm

Description: libguess employs discrete-finite automata to deduce the character set of the input buffer. The advantage of this is that all character sets can be
checked in parallel, and quickly. Right now, libguess passes a byte to each DFA on the same pass, meaning that the winning character set can be deduced as efficiently as possible.

libguess is fully reentrant, using only local stack memory for DFA operations.

[...]

A library split off of Audacious 2.4 alpha2 and used by alpha3.
There is no released tarball yet, so this is based on a hg snapshot.
Comment 1 Mattias Ellert 2010-07-14 07:33:12 EDT
Fedora Review libguess 2010-07-14

rpmlint output:

libguess.x86_64: W: spelling-error %description -l en_US automata -> automats, automat, automate
libguess.x86_64: W: spelling-error %description -l en_US reentrant -> re entrant, re-entrant, reentrance
libguess-devel.x86_64: W: no-documentation
libguess.src: W: spelling-error %description -l en_US automata -> automats, automat, automate
libguess.src: W: spelling-error %description -l en_US reentrant -> re entrant, re-entrant, reentrance
libguess.src: W: no-buildroot-tag
libguess.src: W: invalid-url Source0: libguess-mercurial-20100713.tar.bz2
4 packages and 0 specfiles checked; 0 errors, 7 warnings.

No issues needs fixing


+ Package named according to guidelines
+ Specfile named after package
+ The package license tag (BSD) is a Fedora approved license
+ The package license tag matches the license in the sources
+ The license file (COPYING) is included as %doc
+ Specfile is written in legible English

- The information in the specfile is insufficient to recreate the source
  archive - not possible to validate. Please add as comment the sequence
  of commands needed to create the source. See
  https://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control

+ Package builds - koji scratch build:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2318441
+ BuildRequires are sane
+ no locales
+ Package calls ldconfig appropriately
+ no bundled libraries
+ Package own directories it creates

The package relies on the autogenerated requires on /usr/bin/pkg-config
for the ownership of /usr/lib64/pkgconfig - if this package will be built
for EPEL a dependency on pkg-config needs to be added

+ No duplicate files
+ Permissions are sane and %files has %defattr
+ Specfile use macros consistently
+ Package contains code
+ %doc is not runtime essential
+ Header files in -devel
+ No static libraries
+ .so symlink in -devel
+ -devel requires main with fully qualified version
+ No .la files
+ Package does not own other's directories
+ Installed files have valid UTF8 filenames


Summary: OK except for the lacking description for recreating the source
Comment 2 Michael Schwendt 2010-07-14 08:03:15 EDT
I only used "hg clone http://hg.atheme.org/libguess/" which is the most-basic hg command to copy a repository, but it would be insufficient to recreate the tarball after something in the repo has changed.

Meanwhile, the official 1.0 release has been made:

Spec URL: http://mschwendt.fedorapeople.org/libguess.spec
SRPM URL: http://mschwendt.fedorapeople.org/libguess-1.0-1.fc13.src.rpm
Comment 3 Mattias Ellert 2010-07-14 08:55:59 EDT
(In reply to comment #2)
> I only used "hg clone http://hg.atheme.org/libguess/" which is the most-basic
> hg command to copy a repository, but it would be insufficient to recreate the
> tarball after something in the repo has changed.

This is the reason why snapshots used to build packages must always be based on tags, revisions or timestamp (whatever is supported by the rcs). Using head/trunk/master is not reproducible and therefore not according to the guidelines.


Package approved.
Comment 4 Michael Schwendt 2010-07-14 13:31:14 EDT
New Package CVS Request
=======================
Package Name: libguess
Short Description: High-speed character set detection library
Owners: mschwendt
Branches: F-13
InitialCC:
Comment 5 Kevin Fenzi 2010-07-15 01:30:10 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Michael Schwendt 2010-07-15 02:16:03 EDT
Built for Rawhide:
http://koji.fedoraproject.org/koji/buildinfo?buildID=183802

Thank you for the review!

Note You need to log in before you can comment on or make changes to this bug.